<?php

if (!defined("WHMCS")) die("This file cannot be accessed directly");

function cashbill_config() {
    $version = '1.2.1';
    $configarray = array(
     "FriendlyName" => array("Type" => "System", "Value"=>"CashBill"),
     "userid" => array("FriendlyName" => "Identyfikator Punktu Płatności", "Type" => "text", "Size" => "20"),  
     "userkey" => array("FriendlyName" => "Klucz Punktu Płatności", "Type" => "text", "Size" => "20"),
     "buttontext" => array("FriendlyName" => "Tekst Przycisku", "Type" => "text", "Value"=>"Zapłać z CashBill", "Size" => "20"),
     "Wersja" => array( "Type" => "html", "Size" => "25", "Description" => checkVersion($version))
        
        
    );
	return $configarray;
}

function cashbill_link($params) {
    
    
    $hidden = array(
        'service'=>$params['userid'],
        'amount'=>$params['amount'],
        'desc'=>$params["description"],
        'userdata'=>$params['invoiceid'],
        'ref'=>'WHMCS',
        'forname'=>$params['clientdetails']['firstname'],
        'surname'=>$params['clientdetails']['lastname'],
        'email'=>$params['clientdetails']['email'],
        'street'=>$params['clientdetails']['address1'],
        'city'=>$params['clientdetails']['city'],
        'postcode'=>$params['clientdetails']['postcode'],
        'country'=>$params['clientdetails']['country'],
    );
    
    $hidden['sign'] = md5(implode('',$hidden).$params['userkey']);
    
    $code = '<form method="post" action="https://pay.cashbill.pl/form/pay.php" >';
    foreach($hidden as $key => $value)
    {
        
    $code .= '<input type="hidden" name="'.$key.'" value="'.$value.'" />';  
      
    }
    $code .= '<input type="submit" value="'.$params['buttontext'].'" />';
    $code .= '</form>';
    
    return $code;
}

 function checkVersion($version)
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, "http://www.cashbill.pl/ajax/module-version-checker.php?cmd=info&module=WHMCS");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);

    $response = json_decode($response);

    if(empty($response))
    {

        return '';

    }

    if ($response->version == $version)
    {
        return '<p>Posiadasz najnowszą wersję modułu płatności CashBill dla '.$response->name.'</p>';
    }

    return '<p>Aktualnie posiadasz wersję ' . $version . ' jednak jest już dostępna nowsza wersja ' . $response->version . '.</p><p> Możesz ją pobrać korzystając z tego linku <a href="http://www.cashbill.pl/' . $response->link . '">moduł dla ' . $response->name . ' w wersji ' . $response->version . '</a><p>';
}